Subject: bug#9106: 24.0.50; ./configure causes massive recompilation

From: Paul Eggert <[email-masked]>
Date: Tue, 19 Jul 2011 22:58:48 -0700

On 07/19/2011 10:24 PM, Eli Zaretskii wrote:
> What I'm suggesting is to replace the last command ("mv $@-t $@") with
> this:
>
>      move-if-change $@-t $@
>
> That's it.  Make will indeed cheerfully regenerate unistd.h-t

... and alloca.h-t.  And getopt.h-t.  And the other ten .h-t files
that are generated on typical platforms.  And this would occur
every time one does a 'make', even when there's no real work
to do.

The unnecessary "make" actions would fill up people's screens,
and would be confusing.  I'm afraid this cure would be worse
than the disease.